Skip to content

Reject one or multiple physical card orders

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Reject one or multiple physical card orders

Security
oauth2ClientCredentials(Required scopes: cards:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
order_idsArray of stringsrequired

Array of physical card order IDs to reject

Example:
[ "6737397bcd9b059fff307ada" ]
notesstringrequired

Required rejection notes explaining the reason

Example:"Rejected due to incomplete employee information"
curl -i -X PATCH \
  https://developer.boyahq.com/_mock/v2/openapi/cards/physical/orders \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "order_ids": [
      "6737397bcd9b059fff307ada"
    ],
    "notes": "Rejected due to incomplete employee information"
  }'

Responses

Physical card orders rejected successfully